package com.cm.smartgate.pojo.dtos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: HardwareSmartgateConfigDTO
 * @Description: 闸机配置信息表
 * @Author: WenG
 * @Date: 2020-09-08 16:40
 * @Version: 1.0
 **/
@ApiModel
public class HardwareSmartgateConfigDTO {

    @ApiModelProperty(name = "hardwareSmartgateConfigId", value = "主键")
    private String hardwareSmartgateConfigId;
    @ApiModelProperty(name = "smartgateId", value = "闸机ID")
    private String smartgateId;
    @ApiModelProperty(name = "smartgateConfigKey", value = "闸机配置")
    private String smartgateConfigKey;
    @ApiModelProperty(name = "smartgateConfigValue", value = "闸机配置值")
    private String smartgateConfigValue;
    @ApiModelProperty(name = "smartgateConfigFile", value = "闸机配置文件附件")
    private String smartgateConfigFile;
    @ApiModelProperty(name = "smartgateConfigParam", value = "闸机配置附加参数")
    private String smartgateConfigParam;
    @ApiModelProperty(name = "smartgateConfigSummary", value = "闸机配置备注")
    private String smartgateConfigSummary;

    public String getHardwareSmartgateConfigId() {
        return hardwareSmartgateConfigId == null ? "" : hardwareSmartgateConfigId.trim();
    }

    public void setHardwareSmartgateConfigId(String hardwareSmartgateConfigId) {
        this.hardwareSmartgateConfigId = hardwareSmartgateConfigId;
    }

    public String getSmartgateId() {
        return smartgateId == null ? "" : smartgateId.trim();
    }

    public void setSmartgateId(String smartgateId) {
        this.smartgateId = smartgateId;
    }

    public String getSmartgateConfigKey() {
        return smartgateConfigKey == null ? "" : smartgateConfigKey.trim();
    }

    public void setSmartgateConfigKey(String smartgateConfigKey) {
        this.smartgateConfigKey = smartgateConfigKey;
    }

    public String getSmartgateConfigValue() {
        return smartgateConfigValue == null ? "" : smartgateConfigValue.trim();
    }

    public void setSmartgateConfigValue(String smartgateConfigValue) {
        this.smartgateConfigValue = smartgateConfigValue;
    }

    public String getSmartgateConfigFile() {
        return smartgateConfigFile == null ? "" : smartgateConfigFile.trim();
    }

    public void setSmartgateConfigFile(String smartgateConfigFile) {
        this.smartgateConfigFile = smartgateConfigFile;
    }

    public String getSmartgateConfigParam() {
        return smartgateConfigParam == null ? "" : smartgateConfigParam.trim();
    }

    public void setSmartgateConfigParam(String smartgateConfigParam) {
        this.smartgateConfigParam = smartgateConfigParam;
    }

    public String getSmartgateConfigSummary() {
        return smartgateConfigSummary == null ? "" : smartgateConfigSummary.trim();
    }

    public void setSmartgateConfigSummary(String smartgateConfigSummary) {
        this.smartgateConfigSummary = smartgateConfigSummary;
    }


}
